{
  containers.adguardhome = {
    autoStart = true;
    privateNetwork = true;
    hostAddress = "192.168.0.1";
    localAddress = "192.168.0.4";
    config =
      { lib, ... }:
      {
        services = {
          adguardhome = {
            enable = true;
            port = 80;
            settings = {
              filtering = {
                protection_enabled = true;
                filtering_enabled = true;
              };
            };
          };
          tailscale = {
            enable = true;
            interfaceName = "userspace-networking";
          };
        };
      };
  };
}
